Delete a Preloaded Conda Environment for OML4Py

delete

/py-scripts/v2/preload/conda/{envName}

Delete a preloaded OML4Py Conda environment with the specified name.

Request

Path Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successfully deleted the preloaded environment.
Body ()
Root Schema : JSONObject
Type: object
Show Source

400 Response

Preloaded environment not found with the specified name.
Body ()
Root Schema : InvalidParameterValueException
Type: object
Show Source

500 Response

Problem connecting to Broker, executing job or other unexpected error.
Body ()
Root Schema : ComputeContainerException
Type: object
Show Source
Back to Top

Examples

The following example deletes the preloaded Conda environment seaborn_env.

curl -i -k -X DELETE \
  --header "Authorization: Bearer ${token}" \
  --header "Accept: application/json" \
  "<oml-cloud-service-location-url>/oml/api/py-scripts/v2/preload/conda/seaborn_env"

Response Headers

If the preloaded Conda environment is deleted successfully, the service returns a confirmation message.

{
  "result": "Preloaded environment 'seaborn_env' deleted successfully"
}
where:

result: Confirmation message indicating that the preloaded Conda environment was deleted successfully.

Error Response

If the specified preloaded Conda environment does not exist, the service returns an error.

{
  "errorMessage": "Preloaded environment not found with name 'seaborn_env'",
  "errorCode": 1026,
  "request_id": "OML-4a8c10daac694ba99d586a0471"
}
Back to Top